View Issue Details

IDProjectCategoryView StatusLast Update
0003434unrealircdpublic2007-07-20 09:04
ReporterdmbAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinuxOS Version2.6.x
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003434: Make install doesn't copy example files to conf directory
DescriptionWhen running make install (when configured to install in a different directory then the parent) it does not copy the example configuration files.
Steps To Reproduce1. ./configure and do not use default values, use another directory.
2. run make install
3. go into the destination directory and look in conf/.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

2007-07-20 08:28

 

unreal4-0003434.diff (41,786 bytes)

DrStein

2007-07-20 08:41

reporter   ~0014534

forget the patch, for some reason it doesn't work.

 You just need to do:

$ svn mv conf/inspircd.filter.example conf/unrealircd.filter.example
$ svn mv conf/inspircd.motd.example conf/unrealircd.motd.example

etc.

 And dont't forget:

$ svn mv docs/inspircd.conf.example docs/unrealircd.conf.example

That's it.

stskeeps

2007-07-20 09:04

reporter   ~0014535

Patched in r60

Issue History

Date Modified Username Field Change
2007-07-09 15:20 dmb New Issue
2007-07-09 15:56 stskeeps Status new => acknowledged
2007-07-09 15:56 stskeeps Relationship added child of 0003417
2007-07-20 08:28 DrStein File Added: unreal4-0003434.diff
2007-07-20 08:41 DrStein Note Added: 0014534
2007-07-20 09:01 stskeeps QA => Not touched yet by developer
2007-07-20 09:01 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-20 09:01 stskeeps U4: Upstream notification of bug => U4-only issue
2007-07-20 09:01 stskeeps U4: Contributor working on this => DrStein
2007-07-20 09:04 stskeeps QA Not touched yet by developer => Fixed by developer, needs QA testing
2007-07-20 09:04 stskeeps Status acknowledged => resolved
2007-07-20 09:04 stskeeps Fixed in Version => 4.0-devel
2007-07-20 09:04 stskeeps Resolution open => fixed
2007-07-20 09:04 stskeeps Assigned To => stskeeps
2007-07-20 09:04 stskeeps Note Added: 0014535
2007-07-22 14:00 owine QA Fixed by developer, needs QA testing => QA has accepted the fix